package com.example.bpa.helper;

import com.example.bpa.Model.IMessageLogNotify;
import com.example.bpa.Model.IRun;

import java.text.SimpleDateFormat;
import java.util.Date;

public class MessageLog {
    public static IMessageLogNotify MsgNotify;

    /**
     * 日志触发通知
     */
    public static IRun AddNotify;

    public static String MsgInfo = "";

    public static void ShowInfo(String msg) {
        SimpleDateFormat formatter = new SimpleDateFormat("HH:mm:ss");
        Date date = new Date();
        String tempMsg = formatter.format(date) + "：" + msg;
        MsgInfo = tempMsg + "\r\n" + MsgInfo;
        if (MsgNotify != null)
            MsgNotify.InfoMsg(tempMsg, formatter.format(date));
        if (AddNotify != null) AddNotify.Run();
    }

    public static void ShowWarning(String msg) {
        SimpleDateFormat formatter = new SimpleDateFormat("HH:mm:ss");
        Date date = new Date();
        String tempMsg = formatter.format(date) + "：" + msg;
        MsgInfo = tempMsg + "\r\n" + MsgInfo;
        if (MsgNotify != null)
            MsgNotify.WarnMsg(tempMsg);
        if (AddNotify != null) AddNotify.Run();
    }

    public static void ShowError(String msg) {
        SimpleDateFormat formatter = new SimpleDateFormat("HH:mm:ss");
        Date date = new Date();
        String tempMsg = formatter.format(date) + "：" + msg;
        MsgInfo = tempMsg + "\r\n" + MsgInfo;
        if (MsgNotify != null)
            MsgNotify.ErrorMsg(tempMsg);
        if (AddNotify != null) AddNotify.Run();
    }
}
